Attribute VB_Name = "ModMain"
'DECLARES
Public Declare Function FindWindow Lib "user32" Alias "FindWindowA" (ByVal lpClassName As String, ByVal lpWindowName As String) As Long
Public Declare Function GetWindowText Lib "user32" Alias "GetWindowTextA" (ByVal hwnd As Long, ByVal lpString As String, ByVal cch As Long) As Long
Public Declare Function GetWindowTextLength Lib "user32" Alias "GetWindowTextLengthA" (ByVal hwnd As Long) As Long
Public Declare Function TransparentBlt Lib "msimg32.dll" (ByVal hdc As Long, ByVal X As Long, ByVal Y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal nSrcWidth As Long, ByVal nSrcHeight As Long, ByVal crTransparent As Long) As Long
Public Declare Function BitBlt Lib "gdi32" (ByVal hDestDC As Long, ByVal X As Long, ByVal Y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal dwRop As Long) As Long
Public Declare Function StretchBlt Lib "gdi32" (ByVal hdc As Long, ByVal X As Long, ByVal Y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal nSrcWidth As Long, ByVal nSrcHeight As Long, ByVal dwRop As Long) As Long
Private Declare Sub Sleep Lib "kernel32.dll" (ByVal dwMilliseconds As Long)

'CONSTANTS
Public Const SRCCOPY = &HCC0020 ' (DWORD) dest = source

'PRIVATES
Private TotalLines As Integer
' GLOBALS
Global MSNObject As Object
Global NameMask As String
Global WinampWhole As String
Global WinampFirst As String
Global WinampSecond As String
Global WinampFirstWithAnd As String
Global WinampSecondWithAnd As String
Global PictureLoc As String
Global SubX As Single
Global SubY As Single
Global TempStr
Global FontFace As String
Global Color As Long

Function FormSetup()
WinampWhole = GetWinampText(0)
frmOptions.CurPlay.Caption = WinampFirst & " - " & WinampSecond
frmOptions.CurPlay.FontSize = 7
End Function
Function TimerEvents()
Dim TempStr As String
WinampWhole = GetWinampText(0)
TempStr = WinampFirst & " - " & WinampSecond
If Compare(frmOptions.CurPlay.Caption, TempStr) = False Then
WinampWhole = GetWinampText(0)
frmOptions.CurPlay.Caption = WinampFirst & " - " & WinampSecond
If frmOptions.chkDP.Value = 1 Then
UpdatePic
WinOptions.picDP.Refresh
SaveDP WinOptions.picDP.Picture
KillDP
End If
Else
End If

End Function
Function UpdatePic()
SetupText
WinOptions.DrawPic
WinOptions.picDP.Refresh
WinOptions.CopyPic
frmOptions.DPPicture.Refresh
End Function
Function SaveSettings()
Open App.Path & "\AvatarSettings.ava" For Output As 1
Print #1, WinOptions.intArtistLines.Text & ","
Print #1, WinOptions.intSongLines.Text & ","
Print #1, WinOptions.intLength.Text & ","
Print #1, WinOptions.intSize.Text & ","
Print #1, Color & ","
Print #1, PictureLoc & ","
Print #1, SubX & ","
Print #1, SubY & ","
Print #1, FontFace & ","
Print #1, WinOptions.chkDot.Value & ","
Print #1, WinOptions.chkInts.Value & ","
Close #1
End Function
Function GetVars()

End Function
Public Function CheckInt(ByVal Box As String) As Boolean
On Error GoTo Error
Dim TempInt As Integer
If Len(Box) = 0 Then
Exit Function
End If
TempInt = Box + 1
CheckInt = False
Exit Function
Error:
MsgBox "Error: Size To Big Or Not An Integer", vbCritical, "Error"
CheckInt = True
End Function
Function Messagebox(ByVal Ints As Integer)
WinampWhole = GetWinampText(Ints)
MsgBox ReplaceString
End Function
Function ReplaceString() As String
Dim TempStr As String
TempStr = NameMask
TempStr = Replace(TempStr, "$Artist", WinampFirst)
TempStr = Replace(TempStr, "$Song", WinampSecond)
ReplaceString = TempStr
End Function
Function GethWndofWinamp() As Long
Dim TemphWnd As Long
TemphWnd = FindWindow("Winamp v1.x", vbNullString)
GethWndofWinamp = TemphWnd
End Function
Function GetTotWindowChars() As Integer
Dim TempInt As Integer
TempInt = GetWindowTextLength(GethWndofWinamp) + 1
GetTotWindowChars = TempInt
End Function
Public Function GetWinampText(ByVal Ints As Integer) As String
Dim TempStr As String * 512
GetWindowText GethWndofWinamp, TempStr, GetTotWindowChars
WinampWhole = TempStr
If Ints = 1 Then
DoInts
Else
LeaveInts
End If
End Function
Function LeaveInts()
WinampFirst = DoAnds(First(WinampWhole))
WinampFirstWithAnd = First(WinampWhole)
WinampSecond = DoAnds(Second(WinampWhole))
WinampSecondWithAnd = Second(WinampWhole)
End Function
Function DoInts()
WinampFirst = RemoveInts(DoAnds(First(WinampWhole)))
WinampFirstWithAnd = RemoveInts(First(WinampWhole))
WinampSecond = DoAnds(Second(WinampWhole))
WinampSecondWithAnd = Second(WinampWhole)
End Function
Function DoAnds(ByVal Text As String) As String
Dim TempStr As String
TempStr = Replace(Text, "&", "&&")
DoAnds = TempStr
End Function
Public Function RemoveInts(ByVal Text As String) As String
On Error Resume Next
Dim TempVar As Variant
Dim TempStr As String
TempVar = Split(Text, ".")
If UBound(TempVar) > 1 Then
For X = 1 To UBound(TempVar)
TempStr = TempStr & TempVar(X)
Next
Else
TempStr = TempVar(1)
End If
RemoveInts = Trim$(TempStr)
End Function
Public Function Compare(ByVal String1 As String, ByVal String2 As String) As Boolean
If Trim$(LCase(String1)) = Trim$(LCase(String2)) And Len(String1) = Len(String2) Then
Compare = True
Else
Compare = False
End If
End Function
Public Function ModText(ByVal Text As String) As String
On Error Resume Next
Dim TempVar As Variant
Dim TempStr As String
TempVar = Split(Text, "-")
ModText = Trim$(TempStr)
End Function
Public Function First(ByVal Text As String) As String
On Error Resume Next
Dim TempVar As Variant
TempVar = Split(Text, "-")
First = Trim$(TempVar(0))
End Function
Public Function Second(ByVal Text As String) As String
On Error Resume Next
Dim TempVar As Variant
TempVar = Split(Text, "-")
Second = Trim$(TempVar(1))
End Function
Function UpdateWinampForm()
On Error Resume Next
WinOptions.CurX.Caption = " X : " & SubX
WinOptions.CurY.Caption = " Y : " & SubY
WinOptions.lblFont.Caption = " Font : " & FontFace
WinOptions.lblFont.Font = FontFace
WinOptions.curFontSize.Caption = "Font Size : " & WinOptions.intSize.Text
WinOptions.CurColor.BackColor = WinOptions.TempColor.BackColor
WinOptions.CurColor.Refresh
End Function
Function GetLine(ByVal Text As String, ByVal Length As Integer, ByVal LineNo As Integer) As String
On Error Resume Next
Dim MaxLines As Integer
ReDim TempStr(1 To Int(LineNo + 1)) As String
Dim CurLength As Integer
CurLength = 1
MaxLines = Len(Text) / Length
If MaxLines < LineNo Then
MsgBox "Error: Line Number Not There", vbCritical, "Error"
Exit Function
Else
For X = 1 To MaxLines
TempStr(X) = Mid$(Text, CurLength, Length)
CurLength = CurLength + Length
Next
End If
GetLine = TempStr(LineNo)
End Function
Function SetupText()
WinampWhole = GetWinampText(WinOptions.chkInts.Value)
WinOptions.txtArtist.Text = WinampFirstWithAnd
WinOptions.txtSong.Text = WinampSecondWithAnd
End Function
Function SaveDP(ByVal Picture As IPictureDisp)
Dim TempLoc As String
WinOptions.picDP.Refresh
Load WinOptions
SavePic
End Function
Function SavePic()
Dim TempLoc As String
TempLoc = App.Path & "\Temp.bmp"
frmOptions.DPPicture.Refresh
If frmOptions.Visible <> True Then
frmOptions.Visible = True
DoTempSave
frmOptions.Visible = False
Else
DoTempSave
End If
End Function
Function DoTempSave()
Dim TempLoc As String
TempLoc = App.Path & "\Temp.bmp"
WinOptions.Visible = True
Set frmOptions.imgSave.Picture = frmOptions.DPPicture.Image
WinOptions.Visible = False
frmOptions.imgSave.Refresh
VB.SavePicture frmOptions.imgSave.Picture, TempLoc
frmOptions.SetDP
End Function
Function KillDP()
Dim TempLoc As String
TempLoc = App.Path & "\Temp.bmp"
Kill App.Path & "\Temp.bmp"
End Function

